import treemap.*;
Treemap map;
WordMap mapData;
MapLayout layoutAlgorithm = new SquarifiedLayout();

int maxFontSize = 40;
int minFontSize = 10;

PFont font, font2;

PImage bookImage;
String [] bookData;

void setup( ) {
  size(1000, 600);
  smooth( );  
  strokeWeight(0.25f);
  font = createFont("Helvetica", 10, true);
  font2 = createFont("Helvetica", 18, true);

  bookImage = loadImage("gothicbooks.jpg");

bookData = loadStrings("gothicbooks.txt");



}

void draw( ) {
  background(0);
  WordMap mapData = new WordMap();
  for (int i = 0; i < bookData.length; i++) {
    mapData.addWord(bookData[i]);
  }
  mapData.finishAdd( );
  map = new Treemap(mapData, 0, 0, width/1.5, height);


  map.setLayout(layoutAlgorithm);
  map.updateLayout();


  map.draw( );
  noLoop();
  drawStaticText();
  image(bookImage, 680, 15);
}

